import { test } from "bun:test"

import service from "../../service"

const sleep = (ms: number) => new Promise((resolve) => setTimeout(resolve, ms))

// 测试用例
test("Gitlab Note", async () => {
  const summarizedMr = `增加了两个新的模型图标（CVLM和MICV），并将它们添加到ICONS对象中。合并请求增加了对模型卡片的处理逻辑，调整了导入顺序，并在点击模型卡片时根据是否存在\`apiDoc\`属性决定是跳转到详情页还是打开新窗口。新增了两个模型卡片“通义千问-Max”和“通义千问-Plus”，包括其详细描述、标签、类型、更新时间和API文档链接。`
  const summarizedComment = `
  # 整体摘要：
  ${summarizedMr}

  # 文件变更：
  | 文件路径 | 变更摘要 |
  | --- | --- |
  | src/components/ModelCard/index.tsx | 新增模型卡片“通义千问-Max”和“通义千问-Plus”，包括其详细描述、标签、类型、更新时间和API文档链接。 |
  | src/components/ModelCard/index.less | 新增模型卡片“通义千问-Max”和“通义千问-Plus”的样式。 |
  | src/components/ModelCard/icons.ts | 增加了两个新的模型图标（CVLM和MICV），并将它们添加到ICONS对象中。 |
  `

  const loadingComment = "小煎蛋正在处理您的合并请求，请稍等片刻。"

  const project_id = 139032
  const merge_request_iid = 488

  const { id } = await service.gitlab.note.create2Mr(
    project_id,
    merge_request_iid,
    loadingComment
  )

  await sleep(5000)

  await service.gitlab.note.modify2Mr(
    project_id,
    merge_request_iid,
    id,
    summarizedComment
  )
}, 10000)
